summaryrefslogtreecommitdiffstats
path: root/bin/ebuild-helpers/dohard
diff options
context:
space:
mode:
Diffstat (limited to 'bin/ebuild-helpers/dohard')
-rwxr-xr-xbin/ebuild-helpers/dohard14
1 files changed, 14 insertions, 0 deletions
diff --git a/bin/ebuild-helpers/dohard b/bin/ebuild-helpers/dohard
new file mode 100755
index 000000000..dfd7bd341
--- /dev/null
+++ b/bin/ebuild-helpers/dohard
@@ -0,0 +1,14 @@
+#!/bin/bash
+# Copyright 1999-2007 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+if [[ $# -ne 2 ]] ; then
+ echo "$0: two arguments needed" 1>&2
+ exit 1
+fi
+
+destdir=${2%/*}
+[[ ! -d ${D}${destdir} ]] && dodir "${destdir}"
+
+exec ln -f "${D}$1" "${D}$2"